%global debug_package %{nil}
Summary:       Free mathematics software for learning and teaching
Name:          geogebra5
Version:       5.2.884.1
Release:       7090
License:       See http://www.geogebra.org/download/license.txt
Group:         Amusements/Teaching/Mathematics
%define pkg GeoGebra-Linux-Portable-%{lua: print((string.gsub(rpm.expand("%{version}"), "%.", "-")))}
Source0:       https://download.geogebra.org/installers/5.2/%{pkg}.tar.bz2
Source1:       geogebra.tar.xz


%description
GeoGebra is free dynamic mathematics software for all levels of education
that joins geometry, algebra, graphing, and calculus in one
easy-to-use package.

Quick Facts:
Graphics, algebra and spreadsheet are connected and fully dynamic.
Easy-to-use interface, yet many powerful features.
Authoring tool to create and share interactive online learning materials.
Available in many languages for our millions of users around the world.
Free and open source math/maths software.
%prep
%setup -qn %{pkg}
%setup -qTDn %{pkg} -a 1

%build
rm geogebra-portable LICENSE.txt readme.txt

%install
mv ./geogebra .%{_datadir}
mkdir .%{_exec_prefix}/lib
mkdir .%{_exec_prefix}/lib/jvm
mkdir .%{_exec_prefix}/lib/jvm/java-geogebra/
mv ./zulu*-linux_x64/* .%{_exec_prefix}/lib/jvm/java-geogebra/
rm -rf ./zulu*-linux_x64
mv * %{buildroot}

%files
%dir /etc/geogebra
%config /etc/geogebra/geogebra.conf
/usr/bin/geogebra
%dir /usr/lib/jvm/java-geogebra
/usr/lib/jvm/java-geogebra/*
/usr/share/applications/geogebra.desktop
%dir /usr/share/geogebra
/usr/share/geogebra/*
/usr/share/icons/hicolor/*
%doc /usr/share/man/man1/geogebra.1.gz
/usr/share/mime/packages/geogebra.xml
/usr/share/pixmaps/geogebra.png

%changelog
%autochangelog
